"use strict";
function getDevice() {
  if (screen.width > 767) {
    return "pc";
  }
  return "sp";
}

$(function () {
  var windowObj = $(window);
  /* ページトップ */
  var pagetop = $(".pagetop");
  var windowHeight = windowObj.height();
  var topWindow = windowObj.scrollTop();
  /* スクロール後に表示させる */
  pagetop.hide();
  windowObj.on("scroll", function () {
    if ($(this).scrollTop() > 100) {
      pagetop.fadeIn("slow");
    } else {
      pagetop.fadeOut("slow");
    }
  });
  /* クリック時スクロールアニメーション */
  pagetop.on("click", function () {
    $("body, html").animate({ scrollTop: 0 }, 500);
    return false;
  });

$(".toggle").on("click", function () {
    var target_i = $(".toggle");
    var target_gnavArea = target_i.closest(".h_inner").find(".gnavArea");
    if (target_i.hasClass("grip-lines")) {
        target_gnavArea.addClass("is_show");
        target_i.removeClass("grip-lines");
        target_i.addClass("fa-times");
    } else {
        target_gnavArea.removeClass("is_show");
        target_i.removeClass("fa-times");
        target_i.addClass("grip-lines");
    }
});

  //アコーディオンをクリックした時の動作
  $(".title").on("click", function () {
    var findElm = $(this).next(".box");
    $(findElm).slideToggle();

    if ($(this).hasClass("close")) {
      $(this).removeClass("close");
    } else {
      $(this).addClass("close");
    }
  });
  //ページが読み込まれた際にopenクラスをつけ、openがついていたら開く動作※不必要なら下記全て削除
  $(window).on("load", function () {
    $(".accordion-area li:first-of-type section").addClass("open");
    $(".open").each(function (index, element) {
      var Title = $(element).children(".title");
      $(Title).addClass("close");
      var Box = $(element).children(".box");
      $(Box).slideDown(500);
    });
  });

  /* #で始まるアンカーをクリックした場合に処理 */
  $('a[href^="#"]').on("click", function () {
    var speed = 1000;
    var href = $(this).attr("href");
    var target = $(href === "" ? "html" : href);
    var position = target.offset().top;
    $("body, html").animate({ scrollTop: position }, speed, "swing");
    return false;
  });
});

/* ヘッダー背景後出し */
$(function () {
  var $win = $(window),
    $header = $("header"),
    animationClass = "is-animation";

  $win.on("load scroll", function () {
    var value = $(this).scrollTop();
    if (value > 80) {
      $header.addClass(animationClass);
    } else {
      $header.removeClass(animationClass);
    }
  });
});

function fadeAnime() {
  $(".fadeLeftTrigger").each(function () {
    var elemPos = $(this).offset().top - 50;
    var scroll = $(window).scrollTop();
    var windowHeight = $(window).height();
    if (scroll >= elemPos - windowHeight) {
      $(this).addClass("fadeLeft");
    } else {
      $(this).removeClass("fadeLeft");
    }
  });

  $(".fadeRightTrigger").each(function () {
    var elemPos = $(this).offset().top - 50;
    var scroll = $(window).scrollTop();
    var windowHeight = $(window).height();
    if (scroll >= elemPos - windowHeight) {
      $(this).addClass("fadeRight");
    } else {
      $(this).removeClass("fadeRight");
    }
  });

  $(".fadeUpTrigger").each(function () {
    var elemPos = $(this).offset().top - 50;
    var scroll = $(window).scrollTop();
    var windowHeight = $(window).height();
    if (scroll >= elemPos - windowHeight) {
      $(this).addClass("fadeUp");
    } else {
      $(this).removeClass("fadeUp");
    }
  });

  $(".zoomOutTrigger").each(function () {
    var elemPos = $(this).offset().top - 50;
    var scroll = $(window).scrollTop();
    var windowHeight = $(window).height();
    if (scroll >= elemPos - windowHeight) {
      $(this).addClass("zoomOut");
    } else {
      $(this).removeClass("zoomOut");
    }
  });
}
// 画面をスクロールをしたら動かしたい場合の記述
$(window).scroll(function () {
  fadeAnime();
});
